CFML Twilio Library 1.0

## TwilioLib.classes
Class RESTClient

    WEB-INF.cftags.component
            twilio.classes.RESTClient

    public class RESTClient

extends WEB-INF.cftags.component

Constructor Summary
`init(any accountSid, any authToken, any ApiVersion, any EndPoint, any DefaultResponse='xml')`

Method Summary
`private struct` | `buildUrl(any resource='', any requestObj='')` Builds the full URL for the resource being accessed
`any` | `sendRequest(string Resource, string Method='GET', struct Vars='[runtime expression]')` Constructs the HTTP request and sends it off to Twilio
`private string` | `verifyParameterKey(string parameter, any requestObj)` Verifies the parameter key is a valid key for any Twilio REST resource and ensures that the key is in the proper case

Methods inherited from class WEB-INF.cftags.component
``

Constructor Detail

### init

`public init(any accountSid, any authToken, any ApiVersion, any EndPoint, any DefaultResponse='xml')`

  Parameters:
    `accountSid`
    `authToken`
    `ApiVersion`
    `EndPoint`
    `DefaultResponse`

Method Detail

### buildUrl

`private struct buildUrl(any resource='', any requestObj='')`

  Builds the full URL for the resource being accessed.

Parameters:
  `resource`
  `requestObj`

### sendRequest

`public any sendRequest(string Resource, string Method='GET', struct Vars='[runtime expression]')`

  Constructs the HTTP request and sends it off to Twilio.

Parameters:
  `Resource` - The resource that is being requested.
  `Method` - The HTTP method that is being used to request the resource, valid methods include: GET, POST, PUT, DELETE.
  `Vars` - The parameters that are to be sent with the request.

### verifyParameterKey

`private string verifyParameterKey(string parameter, any requestObj)`

  Verifies the parameter key is a valid key for any Twilio REST resource and ensures that the key is in the proper case.

Parameters:
  `parameter` - The parameter to check.
  `requestObj` - An instance of the RESTRequest object which will be used to get the valid parameters.

CFML Twilio Library 1.0